summaryrefslogtreecommitdiff
path: root/skel/multistrap-hooks/completion_50_configscript.sh
diff options
context:
space:
mode:
Diffstat (limited to 'skel/multistrap-hooks/completion_50_configscript.sh')
-rwxr-xr-xskel/multistrap-hooks/completion_50_configscript.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/skel/multistrap-hooks/completion_50_configscript.sh b/skel/multistrap-hooks/completion_50_configscript.sh
index d272529..ac69624 100755
--- a/skel/multistrap-hooks/completion_50_configscript.sh
+++ b/skel/multistrap-hooks/completion_50_configscript.sh
@@ -20,7 +20,7 @@
# * /usr/sbin/update-ca-certificates
# * /usr/bin/c_rehash
-set -e
+set -eu
set -x
fs="$1"
@@ -42,9 +42,9 @@ if [ "$arch" != "$arch_host" ]; then
fi
qemu=$(/usr/sbin/update-binfmts --display "qemu-$cpu" | grep -Po '(?<=interpreter = /usr/bin/).*') #'
fi
-if [ -n "$FAKEROOTKEY" ] && [ "$FAKECHROOT" != "true" ]; then
+if [ -n "${FAKEROOTKEY:-}" ] && [ "${FAKECHROOT:-}" != "true" ]; then
PATH=/usr/sbin:/usr/bin:/sbin:/bin \
- LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/lib/$multiarch/libfakeroot" \
+ LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+LD_LIBRARY_PATH:}/usr/lib/$multiarch/libfakeroot" \
${qemu:+QEMU_LD_PREFIX="$fs"} \
proot -r "$fs" -b /proc -b /sys -b /dev ${qemu:+-q "$qemu"} -w / /multistrap-configure.sh
else